Infrastructure - Bug #699

Metacat KNB not returning valid responses
2010-06-25 17:38 - Dave Vieglais
Assignee: Chad Berkley % Done: 100%
Target version: CCl-0.4
Product Version: *

Description

The Metacat KNB instance isn't returning the expected response for listObjects or get. Suspected cause is related to apparent need
to be authenticated for any operations.

For example:

listObjects:

curl -v "http://knb-mn.ecoinformatics.org/knb/object"

* About to connect() to knb-mn.ecoinformatics.org port 80 (#0)

* Trying 128.111.220.87... connected
* Connected to knb-mn.ecoinformatics.org (128.111.220.87) port 80 (#0)

GET /knb/object HTTP/1.1

User-Agent: curl/7.19.7 (universal-apple-darwin10.0) libcurl/7.19.7 OpenSSL/0.9.8I zlib/1.2.3
Host: knb-mn.ecoinformatics.org

Accept: /

< HTTP/1.1 200 OK

< Date: Fri, 25 Jun 2010 16:37:44 GMT

< Server: Apache/2.2.14 (Ubuntu)

< Set-Cookie: JSESSIONID=62A96073ADD17E751A6BC39E38963760; Path=/knb
< Content-Length: 0

< Content-Type: text/plain

<

* Connection #0 to host knb-mn.ecoinformatics.org left intact

* Closing connection #0

get (non-existent object):

curl -v "http://knb-mn.ecoinformatics.org/knb/object/1"

* About to connect() to knb-mn.ecoinformatics.org port 80 (#0)

* Trying 128.111.220.87... connected

* Connected to knb-mn.ecoinformatics.org (128.111.220.87) port 80 (#0)

GET /knb/object/1 HTTP/1.1

User-Agent: curl/7.19.7 (universal-apple-darwin10.0) libcurl/7.19.7 OpenSSL/0.9.8l zlib/1.2.3
Host: knb-mn.ecoinformatics.org

Accept: /

<HTTP/1.1 200 OK

< Date: Fri, 25 Jun 2010 16:38:35 GMT

< Server: Apache/2.2.14 (Ubuntu)

< Set-Cookie: JSESSIONID=DCED13396BBDCEF51EA66E4D358FF51C; Path=/knb
< Content-Length: 0

< Content-Type: text/plain

2024-04-25 1/2



http://knb-mn.ecoinformatics.org/knb/object
https://redmine.dataone.org/projects/d1/wiki/OpenSSL
http://knb-mn.ecoinformatics.org/knb/object/1
https://redmine.dataone.org/projects/d1/wiki/OpenSSL

<
* Connection #0 to host knb-mn.ecoinformatics.org left intact
* Closing connection #0

History

#1 - 2010-06-28 20:16 - Chad Berkley
- Status changed from New to Closed

fixed. listObjects test in CrudServiceTest now tests for this and will fail if public documents are not returned in the list.
https://redmine.dataone.org/projects/d1/wiki/CrudServiceTest
http://www.tcpdf.org

